View Issue Details

IDProjectCategoryView StatusLast Update
0014156MediaMonkey 5Generalpublic2019-07-14 14:44
Reporterjiri 
PriorityurgentSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0014156: Advanced Search usability improvements
DescriptionThe Advanced Search is currently a bit hard to understand due to many controls there. Few tweaks:

1. Hide 'Save as AutoPlaylist' button. Either to a '...' menu button to the top-right corner of this view, or as a Toolbar button for this view?

2. Do we need 'Limit to' and 'Sort by' sections in Advanced Search? Seem to clutter the view a bit. I understand that they are useful in case we want to Save the result as an auto-playlist, but this probably isn't a good enough reason for including them?

3. The 'value' part (3rd column) of each condition has a limited width. Instead, it could fill all the available space (which is wasted otherwise).

4. It's hard to assign the right-side icons to the correct left-side conditions on wider screens. It could be improved by adding mouse hover (even though it could still be an issue e.g. for Touch control).

5. Drop-downs should open right when its text is clicked. Currently after the first click the text changes to drop-down and then another click is needed to open it.

6. Bug: Click on the 'value' part (3rd column) - it changed to the editable state and then click the 'field' part (1st column) => there are 5 columns now shown instead of 3!
TagsNo tags attached.
Fixed in build2065

Activities

Ludek

2017-04-06 15:49

developer   ~0047740

Fixed in 2065

jiri

2017-04-10 12:23

administrator   ~0047761

1. The Save icon now occupies whole line, I suppose that it would better be places on the main toolbar (where View Selector normally is).

7. Bug: Enter bps >= 192, then later click the '>=' to change it to '>' => the value 192 changes to 128! The same for other numeric components.

Ludek

2017-04-10 21:52

developer   ~0047769

Fixed in 2065

peke

2019-07-14 14:44

developer   ~0054138

Verified 2186

Advanced Search is improved in newer version and its fixes covers this improvements also